org.apache.hc.client5.http.nio

## Class AsyncConnectionEndpoint

- java.lang.Object
- - org.apache.hc.client5.http.nio.AsyncConnectionEndpoint

All Implemented Interfaces:
  Closeable, AutoCloseable

    @Contract(threading=SAFE)
    public abstract class AsyncConnectionEndpoint
    extends Object
    implements Closeable

Client connection endpoint that can be used to execute message exchanges.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`AsyncConnectionEndpoint()`

### Method Summary

Methods
`abstract void` `execute(org.apache.hc.core5.http.nio.AsyncClientExchangeHandler exchangeHandler, org.apache.hc.core5.http.protocol.HttpContext context)`
`<T> Future<T>` `execute(org.apache.hc.core5.http.nio.AsyncRequestProducer requestProducer, org.apache.hc.core5.http.nio.AsyncResponseConsumer<T> responseConsumer, org.apache.hc.core5.concurrent.FutureCallback<T> callback)`
`<T> Future<T>` `execute(org.apache.hc.core5.http.nio.AsyncRequestProducer requestProducer, org.apache.hc.core5.http.nio.AsyncResponseConsumer<T> responseConsumer, org.apache.hc.core5.http.protocol.HttpContext context, org.apache.hc.core5.concurrent.FutureCallback<T> callback)`
`abstract boolean` `isConnected()`
`abstract void` `setSocketTimeout(int timeout)`
`abstract void` `shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.Closeable

`close`

### Constructor Detail

#### AsyncConnectionEndpoint

    public AsyncConnectionEndpoint()

### Method Detail

#### execute

    public abstract void execute(org.apache.hc.core5.http.nio.AsyncClientExchangeHandler exchangeHandler,
               org.apache.hc.core5.http.protocol.HttpContext context)

#### execute

    public <T> Future<T> execute(org.apache.hc.core5.http.nio.AsyncRequestProducer requestProducer,
                        org.apache.hc.core5.http.nio.AsyncResponseConsumer<T> responseConsumer,
                        org.apache.hc.core5.http.protocol.HttpContext context,
                        org.apache.hc.core5.concurrent.FutureCallback<T> callback)

#### execute

    public <T> Future<T> execute(org.apache.hc.core5.http.nio.AsyncRequestProducer requestProducer,
                        org.apache.hc.core5.http.nio.AsyncResponseConsumer<T> responseConsumer,
                        org.apache.hc.core5.concurrent.FutureCallback<T> callback)

#### isConnected

    public abstract boolean isConnected()

#### setSocketTimeout

    public abstract void setSocketTimeout(int timeout)

#### shutdown

    public abstract void shutdown()
                           throws IOException

Throws:
  `IOException`